CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opties]

Verscheidene commandoregel interfaces nuttig voor foutzoeken in calibre. Zonder opties start dit commando een geïntegreerde python vertaler. Men kan ook de hoofd calibre GUI gebruiken, het calibre leesvenster en de calibre editor in de foutzoekmodus.

Het bevat ook interfaces voor verschillende stukjes van calibre die geen specifieke commandoregel gereedschappen hebben, zoals font subsets, de e-boek diff tool enzovoort.

U kan ook calibre-debug gebruiken om zelfstandige scripts te draaien. Gebruikt het daarvoor zo: calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Alles na de -- wordt doorgegeven aan het script.

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[OPTIES]

--add-simple-plugin
    Voeg een eenvoudige plug-in toe (b.v. een plug-in die één .py bestand bevat) door het pad aan te geven naar het py-bestand die de code voor de plug-in bevat.

--command, -c
    Python code uitvoeren.

--debug-device-driver, -d
    Fouten in toesteldetectie zoeken

--default-programs
    calibre (af)melden als Windows standaard programma. --default-programs = (register|unregister)

--diff
    Draait de calibre diff tool. Bijvoorbeeld: calibre-debug --diff bestand1 bestand2

--edit-book, -t
    Start het calibre "Bewerk Boek" tool in debug modus.

--exec-file, -e
    Python code in het bestand uitvoeren.

--explode-book, -x
    Explodeer het boek in de gespecificeerde map. Gebruik: -x file.epub output_dir Exporteert het boek als een verzameling HTML bestanden en metadata die u kan bewerken met standaard HTML gereedschappen. Werkt met EPUB, AZW3, HTMLZ en DOCX bestanden.

--export-all-calibre-data
    Exporteer alle calibre data (boeken/instellingen/plug-ins). Normaal vraagt men om de exportmap en bibliotheken om te exporteren. U kunt ze ook opgeven als opdrachtregelargumenten om de vragen over te slaan. Gebruik absolute paden voor de exportmap en bibliotheken. Het speciale sleutewoord "alle" kan u gebruiken om alle bibliotheken te exporteren.

--fix-multiprocessing
    Voor intern gebruik

--gui, -g
    Start de GUI met de probleemoplosser ingeschakeld. De output wordt afgedrukt naar stdou en stderr.

--gui-debug
    Voer de GUI uit met de debug console, log naar het gespecificeerd pad. Enkel intern gebruik, gebruik de -g optie om de GUI in debug modus uit te voeren

--help, -h
    toon dit helpbericht en stop

--implode-book, -i
    Opnieuw comprimeren van een eerder gedecomprimeerd boek. Gebruik: -i output_dir file.epub Importeert het boek met de bestanden in de output_dir die reeds gecreëerd werden bij een vorige uitvoer van het decomprimeren van het boek. Zorg ervoor dat u hetzelfde bestandstype opgeeft dat werd gebruikt bij het exploderen.

--import-calibre-data
    Importeer eerder geëxporteerde calibre gegevens

--inspect-mobi, -m
    Inspecteer MOBI-bestand(en) in opgegeven pad(en)

--paths
    Output van de paden de nodig zijn voor de installatie van de calibre omgeving

--reinitialize-db
    Reïnitialiseren van de sqlite calibre database op het opgegeven pad. Nuttig bij herstellen van een corrupte database.

--run-plugin, -r
    Voer een plugin uit welke via opdracht-prompt kan starten. Bijvoorbeeld: calibre-debug -r "Add Books" -- bestand1 --option1 Alles na de -- zal worden meegegeven aan de plugin als argumenten.

--shutdown-running-calibre, -s
    Sluit, indien aanwezig, een actieve calibre-instantie af. Bedenk dat eventuele draaiende taken zonder melding worden afgebroken. Gebruik deze optie voorzichtig.

--subset-font, -f
    Wissel het gespecifieerde lettertype. Gebruik -- na deze optie om optie door te geven naar lettertype wisselprogramma.

--test-build
    Test binaire modules in build

--version
    toon programmaversie en stop

--viewer, -w
    E-boek leesvenster in debug modus uitvoeren

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal